unit hiBlockFind;

interface

uses Kol,Share,Debug;

type
  THIBlockFind = class(TDebug)
   private
    Stop:boolean;
   public
    _prop_IncludeBlock:boolean;
    _prop_Delete:boolean;
    _prop_ReplaceStr:string;
    _prop_UserReplace:boolean;
    _prop_StartBlock:string;
    _prop_EndBlock:string;

    _data_ReplaceStr:THI_Event;
    _data_Replace:THI_Event;
    _data_Text:THI_Event;
    _event_onEndSearch:THI_Event;
    _event_onSearch:THI_Event;

    procedure _work_doSearch(var _Data:TData; Index:word);
    procedure _work_doStop(var _Data:TData; Index:word);
  end;

implementation

procedure THIBlockFind._work_doStop;
begin
  Stop := true;
end;
procedure THIBlockFind._work_doSearch;
var
  i,j:integer;
  Text:string;
  RplS:string;
begin
  Text := ReadString(_Data,_data_Text);
  i := pos(_prop_StartBlock,Text);
  Stop := false;
  while i > 0 do begin
    j := PosEx(_prop_EndBlock,Text,i+Length(_prop_StartBlock));
    if j = 0 then break;
    if _prop_IncludeBlock then
      _hi_OnEvent(_event_onSearch,copy(Text,i,j-i+Length(_prop_EndBlock)))
    else
      _hi_OnEvent(_event_onSearch,copy(Text,i+Length(_prop_StartBlock),j-i-Length(_prop_StartBlock)));
    if Stop then break;
    if not _prop_Delete then
      inc(j,Length(_prop_EndBlock))
    else if (not _prop_UserReplace)or(ToIntegerEvent(_data_Replace)<>0)then begin
      if Stop then break;
      if _prop_IncludeBlock then
        Delete(Text,i,j-i+length(_prop_EndBlock))
      else begin
        inc(i,length(_prop_StartBlock));
        Delete(Text,i,j-i);
      end;
RplS := ReadString(_Data,_data_ReplaceStr,_prop_ReplaceStr);
      if RplS <> '' then
        Insert(RplS,Text,i);
      j := i + Length(RplS);
    end;
    if Stop then break;
    i := PosEx(_prop_StartBlock,Text,j);
  end;
  _hi_CreateEvent(_Data,@_event_onEndSearch,Text);
end;

end.
